Summary:	Untrusted/encrypted backup using rsync algorithm
Version:	0.6.25
Name:		duplicity
Release:	%mkrel 2
License:	GPLv2
Group:		Archiving/Backup
URL:		http://www.nongnu.org/duplicity/
Source0:	http://download.savannah.gnu.org/releases/duplicity/%{name}-%{version}.tar.xz
Patch0:		patch-64bits.patch
BuildRequires: %{_lib}rsync-devel
BuildRequires: python-devel
BuildRequires: python-setuptools
Requires: gnupg
Requires: ncftp
Requires: openssh-clients
Requires: python-boto
Requires: python-gdata
Requires: python-GnuPG-Interface
Requires: python-lockfile
Requires: rsync
Requires: python-gobject3
Requires: %{_lib}rsync1
Requires:   python-paramiko

%description
Duplicity incrementally backs up files and directory by encrypting tar-format
volumes with GnuPG and uploading them to a remote (or local) file server. In
theory many remote backends are possible; right now local, ssh/scp, ftp, and
rsync backends are written. Because duplicity uses librsync, the incremental
archives are space efficient and only record the parts of files that have
changed since the last backup.  Currently duplicity supports deleted files,
full unix permissions, directories, symbolic links, fifos, etc., but not hard
links.

%prep

%setup -q
%patch0 -p0

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{buildroot}%{_prefix}

#handle docs in files section
rm -Rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGELOG README
%{_mandir}/man1/%{name}*
%{_mandir}/man1/rdiffdir*
%{_bindir}/rdiffdir
%{_bindir}/duplicity
%{python_sitearch}/duplicity
%{python_sitearch}/*.egg-info



%changelog
* Sun Jan 25 2015 bb <bb> 0.6.25-2pclos2015
- add req python-paramiko

* Sat Nov 29 2014 pinoc <vogtpet at gmail.com> 0.6.25-1pclos2014
- 0.6.25

* Thu Jun 12 2014 bb <bb> 0.6.24-1pclos2014
- update

* Fri Aug 21 2013 billybot <billybot> 0.6.21-2pclos2013
- update python 2.7

* Wed Feb 20 2013 pinoc <vogtpet at gmail.com> 0.6.21-1pclos2013
- 0.6.21

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 0.6.15-1pclos2011
- 0.6.15